@echo off
rem 
rem getaud.bat for RedPlanet
rem
set c0=s:
set c1=\resource\RP\l4
set c2=audio.zip
set c3=audio\*.*
set v0=
if "%1"=="a" set v0=o
if "%1"=="A" set v0=o
if "%1"=="u" set v0=n
if "%1"=="U" set v0=n
if not "%v0%"=="" goto Check
:Usage
echo.
echo usage:  getaud.bat  option
echo.
echo                      'a' - get all .\%c3%
echo                      'u' - get newer .\%c3%
echo.
goto End
:Check
if exist %c0%%c1%\%c2% goto Process
echo.
echo Error - Zip file %c0%%c1%\%c3% not found.  Check drive %c0%.
echo.
goto End
:Process
set v1=process
if "%v0%"=="o" set v1=writ
if "%v0%"=="n" set v1=updat
echo.
echo %v1%ing %c0%%c1%\%c3%
echo.
pkunzip.exe -%v0% -d %c0%%c1%\%c2%
echo done.
:End
set c0=
set c1=
set c2=
set c3=
set v0=
set v1=
